dpkg-parsechangelog(1)

NOM
dpkg-parsechangelog - Analyser un fichier changelog Debian.

SYNOPSIS
dpkg-parsechangelog [option...]

DESCRIPTION
dpkg-parsechangelog lit et fait l'analyse du fichier « changelog » d'une arborescence source dépaquetée et affiche les informations qu'il contient sur la sortie standard et sous une forme lisible par la machine.

OPTIONS

-lfichier/changelog
    Indique le fichier d'enregistrement des changements où trouver des renseignements. Par défaut, c'est le fichier debian/changelog.

-Fformat-du-changelog
    Donne le format du fichier changelog. Par défaut, c'est une ligne spéciale, près de la fin du fichier, qui l'indique ; sinon, on utilise le format classique debian.

-Lrep_lib
    Spécifie un répertoire supplémentaire pour la recherche de scripts d'analyse. Ce répertoire est examiné avant les répertoires par défaut qui sont /usr/local/lib/dpkg/parsechangelog et /usr/lib/dpkg/parsechangelog.

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

  Options de filtrage
Les options suivantes peuvent être utilisées pour influencer la sortie de l'analyseur du journal des modifications (« changelog »), par exemple la gamme d'entrées ou le format de sortie. Ils doivent être gérés par le script d'analyse en question. Voir aussi CAVEATS.

--format outputformat
    Règle le format de sortie. Actuellement les valeurs gérées sont dpkg et rfc822. dpkg est le format classique de sortie (avant que cette option n'existe) et l'option par défaut. Il se compose d'un paragraphe dans le format du fichier de contrôle Debian (voir deb-control(5)). Si plus d'une entrée est demandée, alors la plupart des champs sont tirés de la dernière entrée, sauf s'il y a l'indication :

    Source: pkg-name

    Version: version

    Distribution: target-distribution

    Urgency: urgency
        La priorité la plus haute de celles indiquées est utilisée.

    Maintainer: author

    Date: date

    Closes: bug-number
        Les champs « Closes » de toutes les entrées incluses sont fusionnés.

    Changes: changelog-entries
        Le texte de toutes les entrées de changelog est concaténé. Pour faire de ce champ un champ de contrôle Debian valide, les lignes multiples qui sont vides sont remplacées par un point "." et toutes les lignes sont intentées par un seul espace. Le contenu exact dépend du format du changelog.

    Il est possible d'avoir d'autres champs qui sont définis par l'utilisateur.

    Le format rfc822 utilise les mêmes champs mais le résultat est un paragraphe distinct pour chaque entrée du changelog afin que toutes les métadonnées de chaque entrée soit préservées.

--since version, -sversion, -vversion
    inclut tous les changements qui ont suivi la version.

--until version, -uversion
    inclut tous les changements qui ont eu lieu avant la version.

--from version, -fversion
    inclut tous les changements depuis la version (incluse).

--to version, -tversion
    inclut tous les changements apportés jusqu'à la version comprise.

--count nombre, -cnombre, -nnombre
    inclut ce nombre d'entrées depuis le début (ou la fin si le nombre est inférieur à 0).

--offset nombre, -onombre
    modifie le point de départ pour « --count », à compter du début (ou la fin si le nombre est inférieure à 0).

--all
    inclut toutes les modifications. Note : d'autres options deviennent sans effet lorsque celle-ci est utilisée.

CAVEATS
Toutes les Options d'analyse sauf « -v » sont gérées par dpkg avec la version 1.14.16 et suivantes. Les analyseurs tiers pour le format du changelog plus vieux que debian ne gèrent peut-être pas toutes les options.

FICHIERS

debian/changelog
    Le fichier d'enregistrement des modifications ; on s'en sert pour connaître les informations qui dépendent d'une version du paquet source, par exemple l'urgence ou la distribution d'une installation sur le serveur, les modifications faites depuis telle édition et le numéro de la version source lui-même.

AUTEURS
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman
Copyright © 2007, 2008 Frank Lichtenheld

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.